IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Android Discussion :

Compatibilité des versions d'android


Sujet :

Android

  1. #1
    Membre expérimenté Avatar de callo
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2004
    Messages
    887
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Togo

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : Service public

    Informations forums :
    Inscription : février 2004
    Messages : 887
    Points : 1 677
    Points
    1 677
    Par défaut Compatibilité des versions d'android
    Bonjour,

    J'ai conçu une petite application Android à l'aide de Visual Studio 2017 & Xamarin.
    Dans les propriétés du projet Android de Visual Studio, j'ai vu qu'on pouvait compiler le projet avec une version récente de Android (ici la version 6) mais cibler une version minimale (comme la version 4.0.3 par exemple).
    Nom : CaptureAndoidProperty.PNG
Affichages : 163
Taille : 8,1 Ko

    Etant donné les différences d'API entre les version 4.0.3 (API 15) et 7.1 (API 25), est-ce que des problèmes de compatibilité ne sont pas à craindre à la longue?
    Est-ce qu'une application développée avec sous Android 7.1 peut tourner normalement sous une version 4.4.2 par exemple?

    Merci.
    N'oubliez pas le tag et

  2. #2
    Modérateur
    Avatar de grunk
    Homme Profil pro
    Lead dév - Architecte
    Inscrit en
    août 2003
    Messages
    6 421
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 37
    Localisation : France, Côte d'Or (Bourgogne)

    Informations professionnelles :
    Activité : Lead dév - Architecte
    Secteur : Industrie

    Informations forums :
    Inscription : août 2003
    Messages : 6 421
    Points : 18 696
    Points
    18 696
    Par défaut
    Si tu n'as pas utilisé d'API spécifiques aux versions supérieures oui pas de problème.

    En revanche si tu as utilisé une API spécifique à la 5.1 par exemple , ton application ne fonctionnera pas en dessous.
    Dans android studio ça génère un warning voir une erreur si on utilise une API supérieure à la version minimal. Je ne sais pas ce qu'il en est avec Visual
    Pry Framework php5 | N'oubliez pas de consulter les FAQ Java et les cours et tutoriels Java

  3. #3
    Membre expérimenté Avatar de callo
    Homme Profil pro
    Administrateur systèmes et réseaux
    Inscrit en
    février 2004
    Messages
    887
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Togo

    Informations professionnelles :
    Activité : Administrateur systèmes et réseaux
    Secteur : Service public

    Informations forums :
    Inscription : février 2004
    Messages : 887
    Points : 1 677
    Points
    1 677
    Par défaut
    OK, bien noté. Je vais chercher comment c'est géré dans Visual Studio.
    Merci à toi.
    N'oubliez pas le tag et

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Compatibilité des versions 2008 et 2008 R2
    Par thibault974 dans le forum Microsoft BI
    Réponses: 1
    Dernier message: 07/08/2014, 14h29
  2. Réponses: 12
    Dernier message: 27/08/2008, 12h06
  3. Compatibilité des différentes versions IE/Firefox
    Par scorplayer dans le forum Mise en page CSS
    Réponses: 7
    Dernier message: 08/05/2008, 17h42
  4. compatibilite des macros sous differentes version d'excel
    Par emillio dans le forum Macros et VBA Excel
    Réponses: 1
    Dernier message: 11/03/2008, 17h54

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo